using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;
using UnityEditor;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            CategoryBuilder.Create("dead space", "dead space suits humans necromorphs and weapons", ModAPI.LoadSprite("category.png"));
                 //suit level 1
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "suit level 1", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 1",
                    DescriptionOverride = "appears in dead space 1", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("suit level 1/icon suit level 1.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "suit level 1/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "suit level 1/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "suit level 1/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "suit level 1/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "suit level 1/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "suit level 1/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "suit level 1/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "suit level 1/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "suit level 1/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //suit level 2
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "suit level 2", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 1",
                    DescriptionOverride = "appears in dead space 1", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("suit level 2/icon suit level 2.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "suit level 2/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];
                        armProp[0].sprite = "suit level 2/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "suit level 2/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "suit level 2/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "suit level 2/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "suit level 2/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "suit level 2/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "suit level 2/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "suit level 2/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //suit level 3
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "suit level 3", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 1",
                    DescriptionOverride = "appears in dead space 1", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("suit level 3/icon suit level 3.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "suit level 3/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];
                        armProp[0].sprite = "suit level 3/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "suit level 3/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "suit level 3/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "suit level 3/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "suit level 3/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "suit level 3/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "suit level 3/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "suit level 3/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //suit level 4
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "suit level 4", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 1",
                    DescriptionOverride = "appears in dead space 1", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("suit level 4/icon suit level 4.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "suit level 4/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "suit level 4/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "suit level 4/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "suit level 4/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "suit level 4/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "suit level 4/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "suit level 4/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "suit level 4/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "suit level 4/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //suit level 5
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "suit level 5", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 1",
                    DescriptionOverride = "appears in dead space 1", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("suit level 5/icon suit level 5.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "suit level 5/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "suit level 5/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "suit level 5/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "suit level 5/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "suit level 5/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "suit level 5/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "suit level 5/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "suit level 5/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "suit level 5/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //suit level 6
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "suit level 6", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 1",
                    DescriptionOverride = "appears in dead space 1", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("suit level 6/icon suit level 6.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "suit level 6/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "suit level 6/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "suit level 6/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "suit level 6/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "suit level 6/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "suit level 6/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "suit level 6/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "suit level 6/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "suit level 6/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //Standard Astronaut suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "Standard Astronaut suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 1",
                    DescriptionOverride = "appears in dead space 1", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Standard Astronaut suit/icon Standard Astronaut suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "Standard Astronaut suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "Standard Astronaut suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "Standard Astronaut suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "Standard Astronaut suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "Standard Astronaut suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "Standard Astronaut suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "Standard Astronaut suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "Standard Astronaut suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "Standard Astronaut suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //tank suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "tank suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 1",
                    DescriptionOverride = "appears in dead space 1", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("tank suit/icon tank suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "tank suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "tank suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "tank suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "tank suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "tank suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "tank suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "tank suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "tank suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "tank suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //engineer suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "engineer suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 2",
                    DescriptionOverride = "appears in dead space 2 and 3", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("engineer suit/icon engineer suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "engineer suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];
                        armProp[0].sprite = "engineer suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "engineer suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "engineer suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "engineer suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "engineer suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "engineer suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "engineer suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "engineer suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //Security Suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "Security Suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 2",
                    DescriptionOverride = "appears in dead space 2", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Security Suit/icon Security Suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "Security Suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];
                        armProp[0].sprite = "Security Suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "Security Suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "Security Suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "Security Suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "Security Suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "Security Suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "Security Suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "Security Suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //vintage suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "vintage suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 2",
                    DescriptionOverride = "appears in dead space 2", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("vintage suit/icon vintage suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "vintage suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "vintage suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "vintage suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "vintage suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "vintage suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "vintage suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "vintage suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "vintage suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "vintage suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //advanced suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "advanced suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 2",
                    DescriptionOverride = "appears in dead space 2 and 3 (;", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("advanced suit/icon advanced suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "advanced suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "advanced suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "advanced suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "advanced suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "advanced suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "advanced suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "advanced suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "advanced suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "advanced suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //hacker suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "hacker suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 2",
                    DescriptionOverride = "appears in dead space 2", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("hacker suit/icon hacker suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "hacker suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];
                        armProp[0].sprite = "hacker suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "hacker suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "hacker suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "hacker suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "hacker suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "hacker suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "hacker suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "hacker suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //zealot suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "zealot suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 2",
                    DescriptionOverride = "appears in dead space 2", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("zealot suit/icon zealot suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "zealot suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "zealot suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "zealot suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "zealot suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "zealot suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "zealot suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "zealot suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "zealot suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "zealot suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //patrol suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "patrol suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 2 severed",
                    DescriptionOverride = "appears in dead space 2 severed", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("patrol suit/icon patrol suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "patrol suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "patrol suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "patrol suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "patrol suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "patrol suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "patrol suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "patrol suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "patrol suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "patrol suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //victor bartlett suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "victor bartlett suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 2 severed",
                    DescriptionOverride = "appears in dead space 2 severed", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("victor bartlett suit/icon victor bartlett suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "victor bartlett suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "victor bartlett suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "victor bartlett suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "victor bartlett suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "victor bartlett suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "victor bartlett suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "victor bartlett suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "victor bartlett suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "victor bartlett suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //special forces suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "special forces suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 3",
                    DescriptionOverride = "appears in dead space 3", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("special forces suit/icon special forces suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "special forces suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "special forces suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "special forces suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "special forces suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "special forces suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "special forces suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "special forces suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "special forces suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "special forces suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //Sir Isaac Clarkes Armor
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "Sir Isaac Clarkes Armor", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dragon age 2",
                    DescriptionOverride = "appears in dragon age 2", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Sir Isaac Clarkes Armor/icon sir Isaac Clarkes Armor.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "Sir Isaac Clarkes Armor/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "Sir Isaac Clarkes Armor/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "Sir Isaac Clarkes Armor/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "Sir Isaac Clarkes Armor/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "Sir Isaac Clarkes Armor/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "Sir Isaac Clarkes Armor/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "Sir Isaac Clarkes Armor/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "Sir Isaac Clarkes Armor/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "Sir Isaac Clarkes Armor/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //space suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "space suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 3",
                    DescriptionOverride = "appears in dead space 3", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("space suit/icon space suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "space suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];
                        armProp[0].sprite = "space suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "space suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "space suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "space suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "space suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "space suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "space suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "space suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //arctic suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "arctic suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 3",
                    DescriptionOverride = "appears in dead space 3", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("arctic suit/icon arctic suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "arctic suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];
                        armProp[0].sprite = "arctic suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "arctic suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "arctic suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "arctic suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "arctic suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "arctic suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "arctic suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "arctic suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //archaeologist Suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "archaeologist Suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 3",
                    DescriptionOverride = "appears in dead space 3", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("archaeologist Suit/icon archaeologist Suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "archaeologist Suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "archaeologist Suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "archaeologist Suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "archaeologist Suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "archaeologist Suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "archaeologist Suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "archaeologist Suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "archaeologist Suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "archaeologist Suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //legionary suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "legionary suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 3",
                    DescriptionOverride = "appears in dead space 3", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("legionary suit/icon legionary suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "legionary suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "legionary suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "legionary suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "legionary suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "legionary suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "legionary suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "legionary suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "legionary suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "legionary suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //elite suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "elite suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 3",
                    DescriptionOverride = "appears in dead space 3", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("elite suit/icon elite suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "elite suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "elite suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "elite suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "elite suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "elite suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "elite suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "elite suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "elite suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "elite suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //whitness suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "whitness suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 3",
                    DescriptionOverride = "appears in dead space 3", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("whitness suit/icon whitness suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "whitness suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "whitness suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "whitness suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "whitness suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "whitness suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "whitness suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "whitness suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "whitness suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "whitness suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //earthgov officer
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "earthgov officer", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 3",
                    DescriptionOverride = "appears in dead space 3", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("earthgov officer/icon earthgov officer.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "earthgov officer/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];
                        armProp[0].sprite = "earthgov officer/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "earthgov officer/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "earthgov officer/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "earthgov officer/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "earthgov officer/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "earthgov officer/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "earthgov officer/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "earthgov officer/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //Fodder legionary suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "Fodder legionary suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 3",
                    DescriptionOverride = "appears in dead space 3", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Fodder legionary suit/icon Fodder legionary suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "Fodder legionary suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];
                        armProp[0].sprite = "Fodder legionary suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "Fodder legionary suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "Fodder legionary suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "Fodder legionary suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "Fodder legionary suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "Fodder legionary suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "Fodder legionary suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "Fodder legionary suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //slasher legionary suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "slasher legionary suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 3",
                    DescriptionOverride = "appears in dead space 3", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("slasher legionary suit/icon slasher legionary suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "slasher legionary suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "slasher legionary suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "slasher legionary suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "slasher legionary suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "slasher legionary suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "slasher legionary suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "slasher legionary suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "slasher legionary suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "slasher legionary suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //suit earthgov slasher
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "suit earthgov slasher", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 2",
                    DescriptionOverride = "appears in dead space 2 and in severed as twicher", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("suit earthgov slasher/icon suit earthgov slasher.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "suit earthgov slasher/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];
                        armProp[0].sprite = "suit earthgov slasher/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "suit earthgov slasher/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "suit earthgov slasher/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "suit earthgov slasher/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "suit earthgov slasher/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "suit earthgov slasher/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "suit earthgov slasher/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "suit earthgov slasher/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //suit earthgov
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "suit earthgov", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 2",
                    DescriptionOverride = "appears in dead space 2 and severed", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("suit earthgov/icon suit earthgov.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "suit earthgov/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];
                        armProp[0].sprite = "suit earthgov/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "suit earthgov/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "suit earthgov/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "suit earthgov/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "suit earthgov/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "suit earthgov/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "suit earthgov/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "suit earthgov/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //robert norton suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "robert norton suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space 3",
                    DescriptionOverride = "appears in dead space 3", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("robert norton suit/icon robert norton suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "robert norton suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];
                        armProp[0].sprite = "robert norton suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "robert norton suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "robert norton suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "robert norton suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "robert norton suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "robert norton suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "robert norton suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "robert norton suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //suit lv 1
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "suit lv 1", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space mobile",
                    DescriptionOverride = "appears in dead space mobile", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("suit lv 1/icon suit lv 1.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "suit lv 1/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "suit lv 1/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "suit lv 1/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "suit lv 1/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "suit lv 1/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "suit lv 1/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "suit lv 1/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "suit lv 1/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "suit lv 1/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //suit lv 2
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "suit lv 2", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space mobile",
                    DescriptionOverride = "appears in dead space mobile", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("suit lv 2/icon suit lv 2.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "suit lv 2/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];
                        armProp[0].sprite = "suit lv 2/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "suit lv 2/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "suit lv 2/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "suit lv 2/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "suit lv 2/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "suit lv 2/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "suit lv 2/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "suit lv 2/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //suit lv 3
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "suit lv 3", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space mobile",
                    DescriptionOverride = "appears in dead space mobile", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("suit lv 3/icon suit lv 3.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "suit lv 3/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];
                        armProp[0].sprite = "suit lv 3/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "suit lv 3/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "suit lv 3/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "suit lv 3/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "suit lv 3/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "suit lv 3/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "suit lv 3/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "suit lv 3/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //suit lv 4
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "suit lv 4", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "dead space mobile",
                    DescriptionOverride = "appears in dead space mobile", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("suit lv 4/icon suit lv 4.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "suit lv 4/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "suit lv 4/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "suit lv 4/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "suit lv 4/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "suit lv 4/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "suit lv 4/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "suit lv 4/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "suit lv 4/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "suit lv 4/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //cec advanced suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "cec advanced suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "battlefield hero",
                    DescriptionOverride = "appears in battlefield hero", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("cec advanced suit/icon cec advanced suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "cec advanced suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = "cec advanced suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "cec advanced suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "cec advanced suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "cec advanced suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "cec advanced suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "cec advanced suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "cec advanced suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "cec advanced suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                 //titan security suit
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "titan security suit", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "battlefield hero",
                    DescriptionOverride = "appears in battlefield hero", //new item description
                    CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("titan security suit/icon titan security suit.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("upperchestplate.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 9;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.sprite = "titan security suit/UpperBody.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];
                        armProp[0].sprite = "titan security suit/MiddleBody.png";
                        armProp[0].armorPiece = "MiddleBody";

                        armProp[1].sprite = "titan security suit/LowerBody.png";
                        armProp[1].armorPiece = "LowerBody";

                        armProp[2].sprite = "titan security suit/UpperLeg.png";
                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].clone = true;

                        armProp[3].sprite = "titan security suit/LowerLeg.png";
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].clone = true;

                        armProp[4].sprite = "titan security suit/foot.png";
                        armProp[4].armorPiece = "Foot";
                        armProp[4].clone = true;

                        armProp[5].sprite = "titan security suit/uparm.png";
                        armProp[5].armorPiece = "UpperArm";
                        armProp[5].clone = true;

                        armProp[6].sprite = "titan security suit/la.png";
                        armProp[6].armorPiece = "LowerArm";
                        armProp[6].clone = true;

                        armProp[7].sprite = "titan security suit/helmet.png";
                        armProp[7].armorPiece = "Head";

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
//isaac clarke1
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "isaac clarke", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space1", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/isaac clarke1icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin isaac clarke1.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh isaac clarke1.png");
            var bone = ModAPI.LoadTexture("humans/Bone isaac clarke1.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//isaac clarke2
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "isaac clarke2", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/isaac clarke2icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin isaac clarke2.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh isaac clarke1.png");
            var bone = ModAPI.LoadTexture("humans/Bone isaac clarke1.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//isaac clarke3
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "isaac clarke3", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/isaac clarke3icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin isaac clarke3.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh isaac clarke1.png");
            var bone = ModAPI.LoadTexture("humans/Bone isaac clarke1.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//karrie norton
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "karrie norton", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space mobile",
        DescriptionOverride = "appears in dead space mobile", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/Karrie Norton icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin Karrie Norton.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh Karrie Norton.png");
            var bone = ModAPI.LoadTexture("humans/Bone Karrie Norton.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//carver
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "carver", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/carver icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin carver.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh carver.png");
            var bone = ModAPI.LoadTexture("humans/Bone carver.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//tim caufman
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "tim caufman", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/whisky icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin whisky.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh whisky.png");
            var bone = ModAPI.LoadTexture("humans/Bone whisky.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//Gabe
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Gabe", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2 severed",
        DescriptionOverride = "appears in dead space 2 severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/gabe icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin gabe.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh gabe.png");
            var bone = ModAPI.LoadTexture("humans/Bone gabe.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//Naked Slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Naked Slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space 1 2 3 and severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/slasher 1 icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin slasher 1.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh slasher 1.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone slasher 1.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//s.c.a.f. navy personel
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "s.c.a.f. navy personel", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/s.c.a.f. navy personel icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin s.c.a.f. navy personel.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh fodder.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone fodder.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(89, 86, 68); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(117, 86, 86); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//s.c.a.f. scientist
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "s.c.a.f. scientist", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/s.c.a.f. scientist icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin s.c.a.f. scientist.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh fodder.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone fodder.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(89, 86, 68); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(117, 86, 86); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//s.c.a.f. snow scout
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "s.c.a.f. snow scout", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/s.c.a.f. snow scout icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin s.c.a.f. snow scout.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh fodder.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone fodder.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(89, 86, 68); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(117, 86, 86); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//s.c.a.f. legionary
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "s.c.a.f. legionary", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/s.c.a.f. legionary icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin s.c.a.f. legionary.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh s.c.a.f. legionary.png");
            var bone = ModAPI.LoadTexture("necromorphs/Flesh s.c.a.f. legionary.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(89, 86, 68); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(117, 86, 86); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//fodder earthgov
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "fodder earthgov", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/fodder earthgov icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin fodder earthgov.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh fodder earthgov.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone fodder.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//fodder unitologist soldier
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "fodder unitologist soldier", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/fodder unitologist soldier icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin fodder unitologist soldier.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh s.c.a.f. legionary.png");
            var bone = ModAPI.LoadTexture("necromorphsr/Flesh s.c.a.f. legionary.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(89, 86, 68); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(117, 86, 86); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//twitcher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "twitcher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space1", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/twitcher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin twitcher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh twitcher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone twitcher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//unitologist slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "unitologist slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/unitologist slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin unitologist slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh unitologist slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone unitologist slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//miner slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "miner slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space1 and 2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/miner slasher 1 icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin miner slasher 1.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh miner slasher 1.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone miner slasher 1.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//hunter
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "hunter", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space1", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/hunter icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin hunter.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh hunter.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone hunter.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//ubermorph
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "ubermorph", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/ubermorph icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin ubermorph.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh ubermorph.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone ubermorph.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(51, 51, 51); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//regenerator
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "regenerator", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/regenerator icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin regenerator.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh regenerator.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone regenerator.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//ellie langford primer traje
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "ellie langford primer traje", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/ellie langford  primer traje icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin ellie langford primer traje.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh ellie langford.png");
            var bone = ModAPI.LoadTexture("humans/Bone ellie langford.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//ellie langford segundo traje
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "ellie langford segundo traje", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/ellie langford segundo traje icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin ellie langford segundo traje.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh ellie langford.png");
            var bone = ModAPI.LoadTexture("humans/Bone ellie langford.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//ellie langford tercer traje
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "ellie langford tercer traje", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/ellie langford tercer traje icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin ellie langford tercer traje.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh ellie langford.png");
            var bone = ModAPI.LoadTexture("humans/Bone ellie langford.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//Kendra Daniels
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Kendra Daniels", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space1", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/Kendra Daniels icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin Kendra Daniels.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh ellie langford.png");
            var bone = ModAPI.LoadTexture("humans/Bone ellie langford.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//Kendra Daniels segundo traje
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Kendra Daniels segundo traje", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space1", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/Kendra Daniels segundo traje icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin Kendra Daniels segundo traje.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh ellie langford.png");
            var bone = ModAPI.LoadTexture("humans/Bone ellie langford.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//the pack
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "the pack", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/the pack icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin the pack.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh the pack.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone the pack.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//the pack 2
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "the pack 2", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space 3 awekened", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/the pack 2 icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin the pack 2.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh the pack 2.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone the pack 2.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//enhanced slasher 1
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "enhanced slasher 1", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space1", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/enhanced slasher 1icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin enhanced slasher 1.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh enhanced slasher 1.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone enhanced slasher 1.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//slasher twisted
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "slasher twisted", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space 2 and severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/twisted slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin twisted slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh twisted slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone twisted slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//frozen Naked Slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "frozen Naked Slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/frozen slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin frozen slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh frozen slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone frozen slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//flight crew Spitter
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "flight crew Spitter", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space1", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/flight crew Spitters icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin flight crew Spitters.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh flight crew Spitters.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone flight crew Spitters.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//puker
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "puker", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/puker icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin puker.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh puker.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone puker.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//flight crew slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "flight crew slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space 1 and 2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/flight crew slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin flight crew slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh flight crew slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone flight crew slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//stalker
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "stalker", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space 2 and 3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/stalker icon 1.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin stalker 1.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh stalker 1.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone stalker 1.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//stalker 2
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "stalker 2", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space 3 awekened", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/stalker 2 icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin stalker 2.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh stalker 2.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone stalker 2.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//legionary slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "legionary slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space 3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/legionary slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin legionary slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh legionary slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone legionary slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//armorer slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "armorer slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space 1 and 2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/armorer slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin armorer slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh armorer slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone armorer slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//mummified puker
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "mummified puker", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/mummified puker icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin mummified puker.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh mummified puker.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone mummified puker.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(117, 158, 119); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//enhanced puker
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "enhanced puker", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space2 and severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/enhanced puker icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin enhanced puker.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh enhanced puker.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone enhanced puker.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(63, 53, 66); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//doctor slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "doctor slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space 2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/doctor slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin doctor slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh doctor slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone doctor slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//spitter 3
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "spitter 3", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space 2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/spitter 3 icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin spitter 3.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh spitter 3.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone spitter 3.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//patient slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "patient slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space 2 and severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/patient slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin patient slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh patient slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone patient slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//fedder
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "fedder", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space 3 awekened", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/fedder icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin fedder.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh fedder.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone fedder.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//enhanced fedder
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "enhanced fedder", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space 3 awekened", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/enhanced fedder icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin enhanced fedder.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh enhanced fedder.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone enhanced fedder.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//divider
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "divider", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space 1 2 and severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/divider icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin divider.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh divider.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone divider.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//chen
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "chen", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space1", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/chen icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin chen.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh chen.png");
            var bone = ModAPI.LoadTexture("humans/Bone chen.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//nolan stross
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "nolan stross", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/nolan stross icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin nolan stross.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh nolan stross.png");
            var bone = ModAPI.LoadTexture("humans/Bone nolan stross.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//nicole brennan
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "nicole brennan", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space 1 and 2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/nicole brennan icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin nicole brennan.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh nicole brennan.png");
            var bone = ModAPI.LoadTexture("humans/Bone nicole brennan.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//challus mercer
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "challus mercer", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space1", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/challus mercer icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin challus mercer.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh challus mercer.png");
            var bone = ModAPI.LoadTexture("humans/Bone challus mercer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//zach hammond
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "zach hammond", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space1", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/zach hammond icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin zach hammond.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh zach hammond.png");
            var bone = ModAPI.LoadTexture("humans/Bone zach hammond.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//johnston
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "johnston", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space1", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/johnston icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin johnston.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh johnston.png");
            var bone = ModAPI.LoadTexture("humans/Bone johnston.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//terrence kyne
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "terrence kyne", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space1", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/terrence kyne icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin terrence kyne.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh terrence kyne.png");
            var bone = ModAPI.LoadTexture("humans/Bone terrence kyne.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//hans tiedemann
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "hans tiedemann", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/hans tiedemann icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin hans tiedemann.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh hans tiedemann.png");
            var bone = ModAPI.LoadTexture("humans/Bone hans tiedemann.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//elizabeth cross
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "elizabeth cross", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space1", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/elizabeth cross icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin elizabeth cross.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh elizabeth cross.png");
            var bone = ModAPI.LoadTexture("humans/Bone elizabeth cross.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//benjamin mathius
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "benjamin mathius", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 1",
        DescriptionOverride = "appears in dead space1", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/benjamin mathius icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin benjamin mathius.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh benjamin mathius.png");
            var bone = ModAPI.LoadTexture("humans/Bone benjamin mathius.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//austin buckell
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "austin buckell", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/austin buckell icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin austin buckell.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh austin buckell.png");
            var bone = ModAPI.LoadTexture("humans/Bone austin buckell.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//earl serrano
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "earl serrano", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/earl serrano icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin earl serrano.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh earl serrano.png");
            var bone = ModAPI.LoadTexture("humans/Bone earl serrano.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//locke
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "locke", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/locke icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin locke.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh locke.png");
            var bone = ModAPI.LoadTexture("humans/Bone locke.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//mark rosen
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "mark rosen", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/mark rosen icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin mark rosen.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh mark rosen.png");
            var bone = ModAPI.LoadTexture("humans/Bone mark rosen.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//unitologist soldier
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "unitologist soldier", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/unitologist soldier icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin unitologist soldier.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh unitologist soldier.png");
            var bone = ModAPI.LoadTexture("humans/Bone unitologist soldier.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//heavy shotgunner
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "heavy shotgunner", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/heavy shotgunner icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin heavy shotgunner.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh heavy shotgunner.png");
            var bone = ModAPI.LoadTexture("humans/Bone heavy shotgunner.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//bazooka wielder
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "bazooka wielder", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/bazooka wielder icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin bazooka wielder.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh bazooka wielder.png");
            var bone = ModAPI.LoadTexture("humans/Bone bazooka wielder.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//snow unitologist soldier
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "snow unitologist soldier", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/snow unitologist soldier icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin snow unitologist soldier.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh unitologist soldier.png");
            var bone = ModAPI.LoadTexture("humans/Bone unitologist soldier.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//ellie langford
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "ellie langford", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/ellie langford icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin ellie langford.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh ellie langford.png");
            var bone = ModAPI.LoadTexture("humans/Bone ellie langford.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//franco delille
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "franco delille", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/franco delille icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin franco delille.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh franco delille.png");
            var bone = ModAPI.LoadTexture("humans/Bone franco delille.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//sam ackerman
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "sam ackerman", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/sam ackerman icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin sam ackerman.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh sam ackerman.png");
            var bone = ModAPI.LoadTexture("humans/Bone sam ackerman.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//jacob danik
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "jacob danik", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/jacob danik icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin jacob danik.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh jacob danik.png");
            var bone = ModAPI.LoadTexture("humans/Bone jacob danik.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//lexine murdoch weller
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "lexine murdoch weller", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2 severed",
        DescriptionOverride = "appears in dead space 2 severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/lexine murdoch weller icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin lexine murdoch weller.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh lexine murdoch weller.png");
            var bone = ModAPI.LoadTexture("humans/Bone lexine murdoch weller.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//robert norton
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "robert norton", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/robert norton icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin robert norton.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh robert norton.png");
            var bone = ModAPI.LoadTexture("humans/Bone robert norton.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//robert norton segundo traje
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "robert norton segundo traje", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/robert norton segundo traje icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin robert norton segundo traje.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh robert norton.png");
            var bone = ModAPI.LoadTexture("humans/Bone robert norton.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//robert norton slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "robert norton slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3 awekened", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/robert norton slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin robert norton slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh Robert norton slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone Robert norton slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//jennifer santos
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "jennifer santos", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/jennifer santos icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin jennifer santos.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh jennifer santos.png");
            var bone = ModAPI.LoadTexture("humans/Bone jennifer santos.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//jennifer santos segundo traje
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "jennifer santos segundo traje", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/jennifer santos segundo traje icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin jennifer santos segundo traje.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh jennifer santos.png");
            var bone = ModAPI.LoadTexture("humans/Bone jennifer santos.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//jennifer santos tercer traje
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "jennifer santos tercer traje", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/jennifer santos tercer traje icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin jennifer santos tercer traje.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh jennifer santos.png");
            var bone = ModAPI.LoadTexture("humans/Bone jennifer santos.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//spencer mahad
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "spencer mahad", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/spencer mahad icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin spencer mahad.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh spencer mahad.png");
            var bone = ModAPI.LoadTexture("humans/Bone spencer mahad.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//unitologist fanatic slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "unitologist fanatic slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/unitologist fanatic slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin unitologist fanatic slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh unitologist fanatic slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone unitologist fanatic slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//mummmified spitte
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "mummmified spitte", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space 3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/mummmified spitte icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin mummmified spitte.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh mummmified spitte.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone mummmified spitte.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//franco delille slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "franco delille slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/franco delille slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin franco delille slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh franco delille slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone franco delille slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//slasher titan miner
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "slasher titan miner", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/slasher titan miner icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin slasher titan miner.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh slasher titan miner.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone slasher titan miner.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//earthgov security guard slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "earthgov security guard slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space2 and severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/earthgov security guard slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin earthgov security guard slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh earthgov security guard slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone earthgov security guard slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//deep dig team twitcher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "deep dig team twitcher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/deep dig team twitcher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin deep dig team twitcher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh slasher titan miner.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone slasher titan miner.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//daina le guin
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "daina le guin", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/daina le guin icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin daina le guin.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh daina le guin.png");
            var bone = ModAPI.LoadTexture("humans/Bone daina le guin.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//victor bartlett
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "victor bartlett", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2 severed",
        DescriptionOverride = "appears in dead space 2 severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/victor bartlett icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin victor bartlett.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh victor bartlett.png");
            var bone = ModAPI.LoadTexture("humans/Bone victor bartlett.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//civilian slasher 1
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "civilian slasher 1", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space 2 and 3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/civilian slasher 1 icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin civilian slasher 1.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh civilian slasher 1.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone civilian slasher 1.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//civilian slasher 1 segundo traje
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "civilian slasher 1 segundo traje", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space 2 and 3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/civilian slasher 1 icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin civilian slasher 1 segundo traje.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh civilian slasher 1.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone civilian slasher 1.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//civilian slashers 2
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "civilian slashers 2", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space 2 and 3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/civilian slashers 2 icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin civilian slashers 2.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh civilian slashers 2.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone civilian slashers 2.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//civilian slashers 2 segundo traje
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "civilian slashers 2 segundo traje", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space 2 and 3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/civilian slashers 2 icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin civilian slashers 2 segundo traje.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh civilian slashers 2.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone civilian slashers 2.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//snow scouts slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "snow scouts slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space 3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/s.c.a.f. snow scouts slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin s.c.a.f. snow scouts slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh s.c.a.f. snow scouts slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone s.c.a.f. snow scouts slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(94, 91, 76); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//spitter 2
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "spitter 2", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space 2 and severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/spitter 2 icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin spitter 2.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh spitter 2.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone spitter 2.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//enhanced slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "enhanced slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space 2 and severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/enhanced slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin enhanced slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh enhanced slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone enhanced slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(94, 91, 76); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//s.c.a.f. scientists slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "s.c.a.f. scientists slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space 3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/s.c.a.f. scientists slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin s.c.a.f. scientists slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh s.c.a.f. snow scouts slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone s.c.a.f. snow scouts slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(94, 91, 76); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//s.c.a.f navy slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "s.c.a.f navy slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space 3", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/s.c.a.f navy slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin s.c.a.f navy slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh s.c.a f. navy slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone s.c.a f. navy slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(96, 91, 73); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//reverse slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "reverse slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space 2 and severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/reverse slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin reverse slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh reverse slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone reverse slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(96, 91, 73); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//scientist slasher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "scientist slasher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space 2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/scientist slasher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin scientist slasher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh scientist slasher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone scientist slasher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(96, 91, 73); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//oracle twitcher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "oracle twitcher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2 severed",
        DescriptionOverride = "appears in dead space 2 severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/oracle twitcher icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin oracle twitcher.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh oracle twitcher.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone oracle twitcher.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(96, 91, 73); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//scraper
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "scraper", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 3",
        DescriptionOverride = "appears in dead space 3 awekened", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("necromorphs/scraper icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("necromorphs/Skin scraper.png");
            var flesh = ModAPI.LoadTexture("necromorphs/Flesh scraper.png");
            var bone = ModAPI.LoadTexture("necromorphs/Bone scraper.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(96, 91, 73); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//foster edgar
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "foster edgar", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2",
        DescriptionOverride = "appears in dead space 2", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/foster edgars icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin foster edgars.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh foster edgars.png");
            var bone = ModAPI.LoadTexture("humans/Bone foster edgars.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//oracle
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "oracle", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2 severed",
        DescriptionOverride = "appears in dead space 2 severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/oracle icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin oracle.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh oracle.png");
            var bone = ModAPI.LoadTexture("humans/Bone oracle.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//oracle 2
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "oracle 2", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2 severed",
        DescriptionOverride = "appears in dead space 2 severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/oracle 2 icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin oracle 2.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh oracle 2.png");
            var bone = ModAPI.LoadTexture("humans/Bone oracle 2.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
//rachel tatchet
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "rachel tatchet", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "dead space 2 severed",
        DescriptionOverride = "appears in dead space 2 severed", //new item description
        CategoryOverride = ModAPI.FindCategory("dead space"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("humans/rachel tatchet icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("humans/Skin rachel tatchet.png");
            var flesh = ModAPI.LoadTexture("humans/Flesh rachel tatchet.png");
            var bone = ModAPI.LoadTexture("humans/Bone rachel tatchet.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
            //javelin
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Crossbow Bolt"),
                    NameOverride = "javelin", // Name.
                    NameToOrderByOverride = "armas", //
                    DescriptionOverride = "appears in dead space 2",// Description
                    CategoryOverride = ModAPI.FindCategory("dead space"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("javalin icon.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("javalin.png", 1.2f);
                    }
                 } 
             );
            //javelin cannon
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                    NameOverride = "javelin cannon",
                    NameToOrderByOverride = "armas",
                    DescriptionOverride = "appears in dead space 2",
                    CategoryOverride = ModAPI.FindCategory("dead space"),
                    ThumbnailOverride = ModAPI.LoadSprite("javalin cannon icon.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("javalin cannon.png", 1f);
                        Instance.GetComponent<SpriteRenderer>().sortingOrder = 10;
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("javelin");
                        Instance.FixColliders();
                        Instance.GetComponent<ProjectileLauncherBehaviour>().launchSound = ModAPI.LoadSound("bow sound.mp3");
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                    }                     
                }
            );
            //kvg
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                    NameOverride = "kvg",
                    NameToOrderByOverride = "armas",
                    DescriptionOverride = "appears in dead space 2",
                    CategoryOverride = ModAPI.FindCategory("dead space"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon kvg.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("kvg.png", 1f);
                        Instance.GetComponent<SpriteRenderer>().sortingOrder = 10;
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("javelin");
                        Instance.FixColliders();
                        Instance.GetComponent<ProjectileLauncherBehaviour>().launchSound = ModAPI.LoadSound("bow sound.mp3");
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                    }                     
                }
            );
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),NameOverride = "pulse rifle",NameToOrderByOverride = "armas",DescriptionOverride = "appears in dead space 1 and 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/pulse-rifle-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/pulse-rifle.png");var firearm = Instance.GetComponent<FirearmBehaviour>();Cartridge customCartridge = ModAPI.FindCartridge("9mm");customCartridge.name = "pulse rifle - Cartridge";customCartridge.Damage *= 4.5f;customCartridge.StartSpeed *= 1.5f;customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;customCartridge.Recoil *= 0.7f;customCartridge.ImpactForce *= 4.5f;firearm.Cartridge = customCartridge;firearm.ShotSounds = new AudioClip[]{ModAPI.LoadSound("Sounds/pulse-rifle.mp3")};Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Flamethrower"),NameOverride = "pfm",NameToOrderByOverride = "armas",DescriptionOverride = "appears in dead space 1 and 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/pfm-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/pfm.png");var firearm = Instance.GetComponent<FirearmBehaviour>();Cartridge customCartridge = ModAPI.FindCartridge("9mm");customCartridge.name = "pfm - Cartridge";customCartridge.Damage *= 3.9f;customCartridge.StartSpeed *= 1.5f;customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;customCartridge.Recoil *= 0.7f;customCartridge.ImpactForce *= 3.9f;firearm.Cartridge = customCartridge;firearm.ShotSounds = new AudioClip[]{ModAPI.LoadSound("Sounds/pfm.mp3")};Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Pulse Drum"),NameOverride = "manual graviton accelerator",NameToOrderByOverride = "armas",DescriptionOverride = "appears in dead space 1 and 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/manual-graviton-accelerator-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/manual-graviton-accelerator.png");var firearm = Instance.GetComponent<FirearmBehaviour>();Cartridge customCartridge = ModAPI.FindCartridge("9mm");customCartridge.name = "manual graviton accelerator - Cartridge";customCartridge.Damage *= 5.2f;customCartridge.StartSpeed *= 1.5f;customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;customCartridge.Recoil *= 0.7f;customCartridge.ImpactForce *= 5.2f;firearm.Cartridge = customCartridge;firearm.ShotSounds = new AudioClip[]{ModAPI.LoadSound("Sounds/manual-graviton-accelerator.mp3")};Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Pistol"),NameOverride = "plasma cutter",NameToOrderByOverride = "armas",DescriptionOverride = "appears in dead space 1 2 and 3",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/plasma-cutter-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/plasma-cutter.png");var firearm = Instance.GetComponent<FirearmBehaviour>();Cartridge customCartridge = ModAPI.FindCartridge("9mm");customCartridge.name = "plasma cutter - Cartridge";customCartridge.Damage *= 8.6f;customCartridge.StartSpeed *= 1.5f;customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;customCartridge.Recoil *= 0.7f;customCartridge.ImpactForce *= 8.6f;firearm.Cartridge = customCartridge;firearm.ShotSounds = new AudioClip[]{ModAPI.LoadSound("Sounds/plasma-cutter.mp3")};Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Pistol"),NameOverride = "plasma cutter 2",NameToOrderByOverride = "armas",DescriptionOverride = "appears in dead space 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/plasma-cutter-2-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/plasma-cutter-2.png");var firearm = Instance.GetComponent<FirearmBehaviour>();Cartridge customCartridge = ModAPI.FindCartridge("9mm");customCartridge.name = "plasma cutter 2 - Cartridge";customCartridge.Damage *= 7.7f;customCartridge.StartSpeed *= 1.5f;customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;customCartridge.Recoil *= 0.7f;customCartridge.ImpactForce *= 7.7f;firearm.Cartridge = customCartridge;firearm.ShotSounds = new AudioClip[]{ModAPI.LoadSound("Sounds/plasma-cutter-2.mp3")};Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Pistol"),NameOverride = "hand cannon",NameToOrderByOverride = "armas",DescriptionOverride = "dead space 2 and 3",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/hand-cannon-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/hand-cannon.png");var firearm = Instance.GetComponent<FirearmBehaviour>();Cartridge customCartridge = ModAPI.FindCartridge("9mm");customCartridge.name = "hand cannon - Cartridge";customCartridge.Damage *= 20.1f;customCartridge.StartSpeed *= 1.5f;customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;customCartridge.Recoil *= 0.7f;customCartridge.ImpactForce *= 20.1f;firearm.Cartridge = customCartridge;firearm.ShotSounds = new AudioClip[]{ModAPI.LoadSound("Sounds/hand-cannon.mp3")};Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Metal Cube"),NameOverride = "power node",NameToOrderByOverride = "objetos",DescriptionOverride = "dead space 1 2 3 mobil severed and awekened",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/power-node-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0f;Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0f;Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");Instance.GetComponent<PhysicalBehaviour>().IsWeightless = false;Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/power-node.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Metal Cube"),NameOverride = "stasis pack",NameToOrderByOverride = "objetos",DescriptionOverride = "daed space 1 2 3 mobile severe and awekened",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/stasis-pack-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0f;Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0f;Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");Instance.GetComponent<PhysicalBehaviour>().IsWeightless = false;Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/stasis-pack.png");Instance.FixColliders();}});

ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "armorer slasher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 1 and 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/armorer-slasher-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/armorer-slasher-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "deep dig team twitcher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 3",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/deep-dig-team-twitcher-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/deep-dig-team-twitcher-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "civillian slasher 1 claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 2 and 3",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/civillian-slasher-1-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/civillian-slasher-1-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "civilian slashers 2 claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 2 and 3",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/civilian-slashers-2-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/civilian-slashers-2-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "doctor slasher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 2 and severed",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/doctor-slasher-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/doctor-slasher-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "earthgov security guard slashe claw",NameToOrderByOverride = "claw",DescriptionOverride = "dead space 2 and severed",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/earthgov-security-guard-slashe-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/earthgov-security-guard-slashe.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "enhanced slasher 1 claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 1",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/enhanced-slasher-1-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/enhanced-slasher-1-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "enhanced slasher 2 claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 2 and severed",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/enhanced-slasher-2-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/enhanced-slasher-2-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "flight crew slasher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 1 and 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/flight-crew-slasher-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/flight-crew-slasher-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "flight crew Spitters claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 1",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/flight-crew-Spitters-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/flight-crew-Spitters-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "franco delille slasher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/franco-delille-slasher-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/franco-delille-slasher.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "frozen slasher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/frozen-slasher-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/frozen-slasher-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "hunter claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 1",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/hunter-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/hunter-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "legionary slasher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space3",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/legionary-slasher-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/legionary-slasher-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "miner slasher 1 claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 1 and 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/miner-slasher-1-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/miner-slasher-1-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "mummmified spitter claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 3",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/mummmified-spitter-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/mummmified-spitter-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "neked slasher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 1 and 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/neked-slasher-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/neked-slasher-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "Oracle Twitchers claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 2 severed",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Oracle-Twitchers-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Oracle-Twitchers-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "patient slasher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 2 and severed",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/patient-slasher-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/patient-slasher-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "regenerator claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 3",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/regenerator-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/regenerator-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "reverse slasher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 2 and severed",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/reverse-slasher-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/reverse-slasher-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "robert norton slasher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 3",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/robert-norton-slasher-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/robert-norton-slasher-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "scaf navy slasher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 3",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/scaf-navy-slasher-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/scaf-navy-slasher-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "scaf snow scouts slasher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 3",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/icon-scaf-snow-scouts-slasher-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/icon-scaf-snow-scouts-slasher.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "Scientist Slasher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Scientist-Slasher-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Scientist-Slasher-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "slasher titan miner claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/slasher-titan-miner-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/slasher-titan-miner-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "spittrt 2 claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in daed space 2 and severed",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/spittrt-2-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/spittrt-2-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "spittrt 3 claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/spittrt-3-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/spittrt-3-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Knife"),NameOverride = "the pack 2 claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 3",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/the-pack-2-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/the-pack-2-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Knife"),NameOverride = "the pack claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/the-pack-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/the-pack-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "thwicher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 1",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/thwicher-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/thwicher-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Knife"),NameOverride = "ubermorph claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ubermorph-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ubermorph-claw.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "unitologist fanatic slasher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 3",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/unitologist-fanatic-slasher-cl-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/unitologist-fanatic-slasher-cl.png");Instance.FixColliders();}});
ModAPI.Register(new Modification(){OriginalItem = ModAPI.FindSpawnable("Sword"),NameOverride = "unitologist slasher claw",NameToOrderByOverride = "claw",DescriptionOverride = "appears in dead space 2",CategoryOverride = ModAPI.FindCategory("dead space"),ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/unitologist-slasher-claw-thumb.png"),AfterSpawn = (Instance) =>{Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/unitologist-slasher-claw.png");Instance.FixColliders();}});

            //head divider
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "head divider",
                    NameToOrderByOverride = "dead space 1",
                    DescriptionOverride = "appears in dead space 1 2 and severed",
                    CategoryOverride = ModAPI.FindCategory("dead space"),
                    ThumbnailOverride = ModAPI.LoadSprite("necromorphs/head divider icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("necromorphs/head divider skin.png");
                        var flesh = ModAPI.LoadTexture("necromorphs/head divider flesh.png");
                        var bone = ModAPI.LoadTexture("necromorphs/head divider bone.png");
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        Instance.transform.Find("Head").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("Body").Find("UpperBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("Body").Find("MiddleBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();

                        var fleebHead = Instance.transform.Find("Body").Find("LowerBody").gameObject;
                        fleebHead.name = "Head";
                        fleebHead.GetComponent<LimbBehaviour>().HasBrain = true;
                        fleebHead.GetComponent<CirculationBehaviour>().WasInitiallyPumping = true;
                        fleebHead.GetComponent<CirculationBehaviour>().IsPump = true;

                        foreach (var hitbox in fleebHead.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox); }
                        var floop = fleebHead.AddComponent<BoxCollider2D>();
                        floop.size = Vector2.one * 0.25f;
                        floop.offset = new Vector2(0f, -0.05f);

                        var fleebth = fleebHead.AddComponent<GripBehaviour>();
                        fleebth.GripPosition = new Vector3(0.15f, -0.15f, 0.45f);
                    }
                }
            );
            //shambler
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "shambler",
                    NameToOrderByOverride = "dead space 3",
                    DescriptionOverride = "appears in dead space 3",
                    CategoryOverride = ModAPI.FindCategory("dead space"),
                    ThumbnailOverride = ModAPI.LoadSprite("necromorphs/shambler icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("necromorphs/Skin shambler.png");
                        var flesh = ModAPI.LoadTexture("necromorphs/Flesh shambler.png");
                        var bone = ModAPI.LoadTexture("necromorphs/Bone shambler.png");
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        Instance.transform.Find("Head").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("Body").Find("UpperBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("Body").Find("MiddleBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();

                        var fleebHead = Instance.transform.Find("Body").Find("LowerBody").gameObject;
                        fleebHead.name = "Head";
                        fleebHead.GetComponent<LimbBehaviour>().HasBrain = true;
                        fleebHead.GetComponent<CirculationBehaviour>().WasInitiallyPumping = true;
                        fleebHead.GetComponent<CirculationBehaviour>().IsPump = true;

                        foreach (var hitbox in fleebHead.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox); }
                        var floop = fleebHead.AddComponent<BoxCollider2D>();
                        floop.size = Vector2.one * 0.25f;
                        floop.offset = new Vector2(0f, -0.05f);

                        var fleebth = fleebHead.AddComponent<GripBehaviour>();
                        fleebth.GripPosition = new Vector3(0.15f, -0.15f, 0.45f);
                    }
                }
            );
        }
    }
}